package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 保险产品表
 *
 * @author xcj
 * insurance_pro
 */
public class InsurancePro {
    @ApiModelProperty("保险产品ID")
    private String insuranceProId;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("保险公司")
    private String insuranceCompany;

    @ApiModelProperty("承保限制")
    private BigDecimal insuranceLimit;

    @ApiModelProperty("详细条款名称")
    private String detailConditionName;

    @ApiModelProperty("保险类型")
    private String kind;

    @ApiModelProperty("详细条件URL")
    private String detailConditionContent;

    public String getInsuranceProId() {
        return insuranceProId;
    }

    public void setInsuranceProId(String insuranceProId) {
        this.insuranceProId = insuranceProId == null ? null : insuranceProId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getInsuranceCompany() {
        return insuranceCompany;
    }

    public void setInsuranceCompany(String insuranceCompany) {
        this.insuranceCompany = insuranceCompany == null ? null : insuranceCompany.trim();
    }

    public BigDecimal getInsuranceLimit() {
        return insuranceLimit;
    }

    public void setInsuranceLimit(BigDecimal insuranceLimit) {
        this.insuranceLimit = insuranceLimit;
    }

    public String getDetailConditionName() {
        return detailConditionName;
    }

    public void setDetailConditionName(String detailConditionName) {
        this.detailConditionName = detailConditionName == null ? null : detailConditionName.trim();
    }

    public String getKind() {
        return kind;
    }

    public void setKind(String kind) {
        this.kind = kind == null ? null : kind.trim();
    }

    public String getDetailConditionContent() {
        return detailConditionContent;
    }

    public void setDetailConditionContent(String detailConditionContent) {
        this.detailConditionContent = detailConditionContent == null ? null : detailConditionContent.trim();
    }
}